Package org.w3c.tidy

# Class OutJavaImpl

java.lang.Object
org.w3c.tidy.OutJavaImpl

All Implemented Interfaces:
  `Out`

public class OutJavaImpl extends Object implements Out
Output implementation using java writers.

Version:
  $Revision: 807 $ ($Author: fgiust $)
Author:
  Fabrizio Giustina

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OutJavaImpl(Configuration configuration, Writer out)`
Constructor.
`protected`
`OutJavaImpl(Configuration configuration, String encoding, OutputStream out)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
Flush the stream.
`void`
`newline()`
writes a newline.
`void`
`outc(byte c)`
writes a byte.
`void`
`outc(int c)`
writes an char.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OutJavaImpl

protected OutJavaImpl(Configuration configuration, String encoding, OutputStream out) throws UnsupportedEncodingException
Constructor.

Parameters:
  `configuration` - actual configuration instance (needed for newline configuration)
  `encoding` - encoding name
  `out` - output stream
Throws:
  `UnsupportedEncodingException` - if the undelining OutputStreamWriter doesn't support the rquested encoding.

### OutJavaImpl

protected OutJavaImpl(Configuration configuration, Writer out)
Constructor.

Parameters:
  `configuration` - actual configuration instance (needed for newline configuration)
  `out` - Writer

## Method Details

### outc

public void outc(int c)
Description copied from interface: `Out`
writes an char.

Specified by:
  `outc` in interface `Out`
Parameters:
  `c` - char to write
See Also:
  - `Out.outc(int)`

### outc

public void outc(byte c)
Description copied from interface: `Out`
writes a byte.

Specified by:
  `outc` in interface `Out`
Parameters:
  `c` - byte to write
See Also:
  - `Out.outc(byte)`

### newline

public void newline()
Description copied from interface: `Out`
writes a newline.

Specified by:
  `newline` in interface `Out`
See Also:
  - `Out.newline()`

### flush

public void flush()
Description copied from interface: `Out`
Flush the stream.

Specified by:
  `flush` in interface `Out`
See Also:
  - `Out.flush()`